#!/bin/sh

var=$1

# configuration
echo "---- Start Timestamp: `date` ----" > profile_$1_ms2500g2.txt
echo "<<< Configuration Information >>>" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt
echo "1.System Parameter" >> profile_$1_ms2500g2.txt
echo "2.Controller Info" >> profile_$1_ms2500g2.txt
echo "3.Frontend/Backend Connection" >> profile_$1_ms2500g2.txt
echo "4.DSU/Disk List" >> profile_$1_ms2500g2.txt
echo "5.Disk Details" >> profile_$1_ms2500g2.txt
echo "6.RAID Details" >> profile_$1_ms2500g2.txt
echo "7.LUN List" >> profile_$1_ms2500g2.txt
echo "8.LUN Details" >> profile_$1_ms2500g2.txt
echo "9.FC Module" >> profile_$1_ms2500g2.txt
echo "10.Email Notification" >> profile_$1_ms2500g2.txt
echo "11.SNMP Notification" >> profile_$1_ms2500g2.txt
echo "12.HotCache" >> profile_$1_ms2500g2.txt
echo "13.Private Network" >> profile_$1_ms2500g2.txt

# 1.system parameter
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "********* 1.System Parameter *********" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

ms-cli ALL "HWManager -g -all" >> profile_$1_ms2500g2.txt

# 2.controller firmware
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "********* 2.Controller Info *********" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

echo "== Controller Version =======================" >> profile_$1_ms2500g2.txt
ms-cli ALL "system mgt getversion" >> profile_$1_ms2500g2.txt

echo "== Cache Info ===============================" >> profile_$1_ms2500g2.txt
echo "EngineA SP1 Cache:" >> profile_$1_ms2500g2.txt
dmidecode | grep "Range Size" | head -n1 | sed "s/Range/Cache/g" - >> profile_$1_ms2500g2.txt

# [modify]
echo "EngineA SP2 Cache:" >> profile_$1_ms2500g2.txt
ssh root@172.0.64.86 "dmidecode | grep 'Range Size' | head -n1 | sed 's/Range/Cache/g'" >> profile_$1_ms2500g2.txt
echo "EngineB SP1 Cache:" >> profile_$1_ms2500g2.txt
ssh root@172.0.64.87 "dmidecode | grep 'Range Size' | head -n1 | sed 's/Range/Cache/g'" >> profile_$1_ms2500g2.txt
echo "EngineB SP2 Cache:" >> profile_$1_ms2500g2.txt
ssh root@172.0.64.88 "dmidecode | grep 'Range Size' | head -n1 | sed 's/Range/Cache/g'" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

# 3.Frontend/Backend Connection
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "********* 3.Frontend/Backend Connection *****" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

echo "== Frontend Connection ======================" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

ms-cli ALL "client target queryhbalist" |sed "s/velocity  : 8/velocity  : 8 Gbps/g" -  >> profile_$1_ms2500g2.txt

echo "== Backend Connection ======================" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt
echo "EngineA SP1:" >> profile_$1_ms2500g2.txt
ms-cli EngineA "system sas getportlist -c 1:1" >> profile_$1_ms2500g2.txt

echo "EngineA SP2:" >> profile_$1_ms2500g2.txt
ms-cli EngineA "system sas getportlist -c 2:1" >> profile_$1_ms2500g2.txt

echo "EngineB SP1:" >> profile_$1_ms2500g2.txt
ms-cli EngineB "system sas getportlist -c 1:1" >> profile_$1_ms2500g2.txt

echo "EngineB SP2:" >> profile_$1_ms2500g2.txt
ms-cli EngineB "system sas getportlist -c 2:1" >> profile_$1_ms2500g2.txt

# 4.dsu/disk List
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "********* 4.DSU/Disk List *********" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

echo "== DSU List =================================" >> profile_$1_ms2500g2.txt
ms-cli ALL "dsu mgt getlist" >> profile_$1_ms2500g2.txt

echo "== Disk List ================================" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

# [modify]
echo  "EngineA:" >> profile_$1_ms2500g2.txt
for dsu in `ms-cli EngineA "dsu mgt getlist"| grep Name | awk 'BEGIN {FS="-"}{print$3}'`
do
echo "-- DSU-$dsu ---------------------------------" >> profile_$1_ms2500g2.txt 
	ms-cli EngineA "disk mgt getlist -d $dsu"  >> profile_$1_ms2500g2.txt
done
echo  "EngineB:" >> profile_$1_ms2500g2.txt
for dsu in `ms-cli EngineB "dsu mgt getlist"| grep Name | awk 'BEGIN {FS="-"}{print$3}'`
do
echo "-- DSU-$dsu ---------------------------------" >> profile_$1_ms2500g2.txt 
	ms-cli EngineB "disk mgt getlist -d $dsu"  >> profile_$1_ms2500g2.txt
done

# 5.disk details
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "********* 5.Disk Details *********" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

# [modify]
echo "EngineA:" >> profile_$1_ms2500g2.txt
for dsu in `ms-cli EngineA "dsu mgt getlist"| grep Name | awk 'BEGIN {FS="-"}{print$3}'`
do
        echo "== DSU-$dsu =================================" >> profile_$1_ms2500g2.txt
        for disk in `ms-cli EngineA "disk mgt getlist -d $dsu" | grep Name |cut -d : -f 5|sort -n`
        do
      ms-cli EngineA "disk mgt query -d $dsu:$disk" >> profile_$1_ms2500g2.txt
        done
done
echo "" >> profile_$1_ms2500g2.txt
echo "EngineB:" >> profile_$1_ms2500g2.txt
for dsu in `ms-cli EngineB "dsu mgt getlist"| grep Name | awk 'BEGIN {FS="-"}{print$3}'`
do
        echo "== DSU-$dsu =================================" >> profile_$1_ms2500g2.txt
        for disk in `ms-cli EngineB "disk mgt getlist -d $dsu" | grep Name |cut -d : -f 5|sort -n`
        do
      ms-cli EngineB "disk mgt query -d $dsu:$disk" >> profile_$1_ms2500g2.txt
        done
done

# 6.raid details
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "********* 6.RAID Details *********" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

# [modify]
echo "EngineA:" >> profile_$1_ms2500g2.txt
for pool in `ms-cli EngineA "pool mgt getlist"| grep Name |awk 'BEGIN {FS=" "}{print$2}'`
	do 
		echo "== $pool ===================================" >> profile_$1_ms2500g2.txt
		for raid in `ms-cli EngineA "raid mgt getlist -p $pool"| grep Name|awk 'BEGIN {FS=" "}{print$2}'`
			do
				echo "-- $raid ----------------------------------" >> profile_$1_ms2500g2.txt
      	ms-cli EngineA "raid mgt query -n $raid" >> profile_$1_ms2500g2.txt
      	echo "" >> profile_$1_ms2500g2.txt
			done
	done
echo "" >> profile_$1_ms2500g2.txt
# [modify]
echo "EngineB:" >> profile_$1_ms2500g2.txt
for pool in `ms-cli EngineB "pool mgt getlist"| grep Name |awk 'BEGIN {FS=" "}{print$2}'`
	do 
		echo "== $pool ===================================" >> profile_$1_ms2500g2.txt
		for raid in `ms-cli EngineB "raid mgt getlist -p $pool"| grep Name|awk 'BEGIN {FS=" "}{print$2}'`
			do
				echo "-- $raid ----------------------------------" >> profile_$1_ms2500g2.txt
      	ms-cli EngineB "raid mgt query -n $raid" >> profile_$1_ms2500g2.txt
      	echo "" >> profile_$1_ms2500g2.txt
			done
	done

# 7.lun list
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "*********	7.LUN List *********" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt
# [modify]
echo "EngineA:" >> profile_$1_ms2500g2.txt
for pool in `ms-cli EngineA "pool mgt getlist"| grep Name |awk 'BEGIN {FS=" "}{print$2}'`
	do 
		echo "== $pool ===================================" >> profile_$1_ms2500g2.txt
		ms-cli EngineA "lun mgt getlist -p $pool" >> profile_$1_ms2500g2.txt
	done
	
echo "" >> profile_$1_ms2500g2.txt

echo "EngineB:"  >> profile_$1_ms2500g2.txt
for pool in `ms-cli EngineB "pool mgt getlist"| grep Name |awk 'BEGIN {FS=" "}{print$2}'`
	do 
		echo "== $pool ===================================" >> profile_$1_ms2500g2.txt
		ms-cli EngineB "lun mgt getlist -p $pool" >> profile_$1_ms2500g2.txt
	done


# 8.lun details
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "********* 8.LUN Details *********" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

# [modify]
echo "EngineA:" >> profile_$1_ms2500g2.txt
for pool in `ms-cli EngineA "pool mgt getlist"| grep Name |awk 'BEGIN {FS=" "}{print$2}'`
	do 
		echo "== $pool ===================================" >> profile_$1_ms2500g2.txt
		for lun in `ms-cli EngineA "lun mgt getlist -p $pool"| grep Name|awk 'BEGIN {FS=" "}{print$2}'`
			do
				echo "-- $lun ----------------------------------" >> profile_$1_ms2500g2.txt
      	ms-cli EngineA "lun mgt query -n $lun" >> profile_$1_ms2500g2.txt
      	echo "" >> profile_$1_ms2500g2.txt
			done
	done
echo "" >> profile_$1_ms2500g2.txt
# [modify]
echo "EngineB:" >> profile_$1_ms2500g2.txt
for pool in `ms-cli EngineB "pool mgt getlist"| grep Name |awk 'BEGIN {FS=" "}{print$2}'`
	do 
		echo "== $pool ===================================" >> profile_$1_ms2500g2.txt
		for lun in `ms-cli EngineB "lun mgt getlist -p $pool"| grep Name|awk 'BEGIN {FS=" "}{print$2}'`
			do
				echo "-- $lun ----------------------------------" >> profile_$1_ms2500g2.txt
      	ms-cli EngineB "lun mgt query -n $lun" >> profile_$1_ms2500g2.txt
      	echo "" >> profile_$1_ms2500g2.txt
			done
	done



# 9.fc module
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "********* 9.FC Module *********" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

ms-cli ALL "client target queryportlist"  >> profile_$1_ms2500g2.txt

# 10.email notification
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "********* 10.Email Notification *********" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

ms-cli ALL "alarm email query" >> profile_$1_ms2500g2.txt

# 11.snmp notification
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "********* 11.SNMP Notification *********" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

ms-cli ALL "alarm snmp query" >> profile_$1_ms2500g2.txt

# 12.hotcache
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "********* 12.HotCache *********" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "" >> profile_$1_ms2500g2.txt

ms-cli ALL "hotcache mgt query" >> profile_$1_ms2500g2.txt


#13.Private Network information
echo "" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "********* 13.Network Information *********" >> profile_$1_ms2500g2.txt
echo "*********************************************" >> profile_$1_ms2500g2.txt
echo "---- EngineA SP1 Network Information ----"   >> profile_$1_ms2500g2.txt
ifconfig eth_1_0_2 |grep Bcast|awk -F ' ' '{print $1,$2}'|awk -F ':' '{print "EngineA_SP1 eth_1_0_2 addr:",$2}' >> profile_$1_ms2500g2.txt  
ethtool eth_1_0_2 |grep -i speed |awk -F ':' '{print "EngineA_SP1 eth_1_0_2 speed:",$2}'>> profile_$1_ms2500g2.txt  
ifconfig eth_1_0_3 |grep Bcast|awk -F ' ' '{print $1,$2}'|awk -F ':' '{print "EngineA_SP1 eth_1_0_3 addr:",$2}'>> profile_$1_ms2500g2.txt     
ethtool eth_1_0_3 |grep -i speed |awk -F ':' '{print "EngineA_SP1 eth_1_0_3 speed:",$2}'>> profile_$1_ms2500g2.txt  
echo "" >> profile_$1_ms2500g2.txt  

echo "" >> profile_$1_ms2500g2.txt  
echo "---- EngineA SP2 Network Information ----"   >> profile_$1_ms2500g2.txt
ssh 172.0.64.86  ifconfig eth_2_0_2 |grep Bcast|awk -F ' ' '{print $1,$2}'|awk -F ':' '{print "EngineA_SP2 eth_2_0_2 addr:",$2}'>> profile_$1_ms2500g2.txt     
ssh 172.0.64.86  ethtool eth_2_0_2 |grep -i speed |awk -F ':' '{print "EngineA_SP2 eth_2_0_2 speed:",$2}'>> profile_$1_ms2500g2.txt  
ssh 172.0.64.86  ifconfig eth_2_0_3 |grep Bcast|awk -F ' ' '{print $1,$2}'|awk -F ':' '{print "EngineA_SP2 eth_2_0_3 addr:",$2}'>> profile_$1_ms2500g2.txt     
ssh 172.0.64.86  ethtool eth_2_0_3 |grep -i speed |awk -F ':' '{print "EngineA_SP2 eth_2_0_3 speed:",$2}'>> profile_$1_ms2500g2.txt  
echo "" >> profile_$1_ms2500g2.txt  

echo "" >> profile_$1_ms2500g2.txt  
echo "---- EngineB SP1 Network Information ----"   >> profile_$1_ms2500g2.txt
ssh 172.0.64.87  ifconfig eth_1_0_2 |grep Bcast|awk -F ' ' '{print $1,$2}'|awk -F ':' '{print "EngineB_SP1 eth_1_0_2 addr:",$2}'>> profile_$1_ms2500g2.txt     
ssh 172.0.64.87  ethtool  eth_1_0_2 |grep -i speed |awk -F ':' '{print "EngineB_SP1 eth_1_0_2 speed:",$2}'>> profile_$1_ms2500g2.txt  
ssh 172.0.64.87  ifconfig eth_1_0_3 |grep Bcast|awk -F ' ' '{print $1,$2}'|awk -F ':' '{print "EngineB_SP1 eth_1_0_3 addr:",$2}' >> profile_$1_ms2500g2.txt   
ssh 172.0.64.87  ethtool  eth_1_0_3  |grep -i speed |awk -F ':' '{print "EngineB_SP1 eth_1_0_3 speed:",$2}' >> profile_$1_ms2500g2.txt  
echo "" >> profile_$1_ms2500g2.txt  

echo "" >> profile_$1_ms2500g2.txt  
echo "---- EngineB SP2 Network Information ----"   >> profile_$1_ms2500g2.txt
ssh 172.0.64.88  ifconfig eth_2_0_2 |grep Bcast|awk -F ' ' '{print $1,$2}'|awk -F ':' '{print "EngineB_SP2 eth_2_0_2 addr:",$2}' >> profile_$1_ms2500g2.txt    
ssh 172.0.64.88  ethtool eth_2_0_2 |grep -i speed |awk -F ':' '{print "EngineB_SP2 eth_2_0_2 speed:",$2}'>> profile_$1_ms2500g2.txt  
ssh 172.0.64.88  ifconfig eth_2_0_3 |grep Bcast|awk -F ' ' '{print $1,$2}'|awk -F ':' '{print "EngineB_SP2 eth_2_0_3 addr:",$2}'  >> profile_$1_ms2500g2.txt  
ssh 172.0.64.88  ethtool eth_2_0_3 |grep -i speed |awk -F ':' '{print "EngineB_SP2 eth_2_0_3 speed:",$2}' >> profile_$1_ms2500g2.txt  
echo "" >> profile_$1_ms2500g2.txt  



echo "---- End Timestamp: `date` ----" >> profile_$1_ms2500g2.txt


